<?xml version="1.0" encoding="utf-8"?>
<FlexViewDescription>

	<Objects>
		<Column id="Label" fitting="content">
			<Attributes horizontalAlignment="right" font="RegularSystemFont"/>
		</Column>

		<Column id="Space" minWidth="10" fitting="content" />

		<Column id="SmallSpace" minWidth="2" fitting="content" />

		<Column id="Content" fitting="maximum">
			<Attributes horizontalAlignment="left" />
		</Column>

		<Column id="ConnectionButton" fitting="content" />

		<Column id="ConnectionContent" fitting="maximum" />

		<Column id="identifiersPopup">
			<Attributes horizontalAlignment="justified" />
		</Column>

		<Column id="PopupNetConf" fitting="content">
			<Attributes horizontalAlignment="justified" />
		</Column>

		<Column id="PopupAuth" fitting="content">
			<Attributes horizontalAlignment="justified" />
		</Column>

		<Column id="EditAuth" fitting="content" />

		<Column id="PopupAuthLegacy" fitting="content">
			<Attributes horizontalAlignment="justified" />
		</Column>

		<Column id="EditAuthLegacy" fitting="content" />


		<CocoaAttributes id="stripe" padding="8,16,8,16" backgroundColor="ededed" borderColorBottom="bfbfbf" borderThickness="0,0,0,1" borderInset="0,0,0,60" />
		<CocoaAttributes id="lastContentStripe" padding="8,16,8,16" backgroundColor="ededed" />
		<CocoaAttributes id="lastStripe" backgroundColor="ededed" />

		<!-- these labels are set programmatically, but we define them here just to get there titles in the localizable .strings file: -->
		<TextField label="LocalNetworksLabel_Host" />
		<TextField label="LocalNetworksLabel_Networks" />
		<TextField label="RemoteNetworksLabel_Host" />
		<TextField label="RemoteNetworksLabel_Networks" />
		<TextField label="RemoteNetworksLabel_Network" />
		<TextField label="NetworksPlaceholder_Host" />
		<TextField label="NetworksPlaceholder_Networks" />

	</Objects>

	<RootContainer>

		<Attributes font="RegularSystemFont" />
		<RowContainer id="connectionBasicsStripe"
				cocoaAttributes="stripe" equalSpacing="0"
			>
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content">
					<CocoaAttributes padding="2,10,0,15" />
					<ImageView id="VendorSubLogo"
							minHeight="46"
							minWidth="150"
							editable="false">
						<Attributes alignment="left"
							valignment="middle"
							scaleMode="fit"
							upscaling="no" />
					</ImageView>
				</ColumnContainer>
			</ColumnContainer>

			<ColumnContainer columns="Replicator,Label,Space,Content">
			<TextField label="Connection Name" columnId="Label">
				<Attributes font="BoldRegularSystemFont" />
			</TextField>
			<TextView label="Name" id="connectionName" columnId="Content"
				fieldEditor="1" viewModeGray="1" />
			</ColumnContainer>

			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Device based on" columnId="Label">
				</TextField>
				<RowContainer columnId="Content">
					<ColumnContainer>
						<ImageButton id="editDevice" axLabel="Edit Device">
							<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
						</ImageButton>
						<TextField id="DeviceName" redirectId="editDevice" label="Device Name" url="dummy">
							<Attributes textColor="2589fb"/>
						</TextField>
					</ColumnContainer>
				</RowContainer>
			</ColumnContainer>
            
            <ColumnContainer id="openVPNReloadContainer" columns="Replicator,Label,Space,Content">
                <TextField label="Reload configuration" columnId="Label" baseline="0">
                </TextField>
                <FileChooser id="openVPNFileChooser" label="Drop OpenVPN configuration file here" columnId="Content">
                    <CocoaAttributes filePatterns="ovpn,conf,tblk"
                    	allowDirectories="yes"
                    />

                </FileChooser>
            </ColumnContainer>

			<ColumnContainer columns="Replicator,Label,Space,Content">
				<CocoaAttributes padding="0,20,0,10" />

				<ColumnContainer columnId="Content">
					<Attributes horizontalAlignment="center" />

					<RowContainer id="GuideHelper">
						<ImageButton id="GuideHelperIcon"
								minWidth="32" minHeight="32" baseline="0"
								axLabel="Configuration Guide"
								redirectId="GuideHelperLabel">
							<CocoaAttributes
								backgroundOff="flexview-GuideHelperIcon"
							/>
						</ImageButton>
						<TextField id="GuideHelperLabel"
								label="Configuration Guide"
								url="dummy">
							<Attributes textColor="2589fb"/>
						</TextField>
					</RowContainer>


					<RowContainer id="DeviceHelper">
						<CocoaAttributes padding="25,0,0,0" />
						<ImageButton id="DeviceHelperIcon"
								minWidth="32" minHeight="32" baseline="0"
								axLabel="Manage Device"
								redirectId="DeviceHelperLabel">
							<CocoaAttributes
								backgroundOff="flexview-DeviceHelperIcon_Meraki"
							/>
						</ImageButton>
						<TextField id="DeviceHelperLabel"
								label="Manage Device"
								url="dummy">
							<Attributes textColor="2589fb"/>
						</TextField>
					</RowContainer>

					<RowContainer id="ConfigHelper">
						<CocoaAttributes padding="25,0,0,0" />
						<ImageButton id="ConfigHelperIcon"
								minWidth="32" minHeight="32" baseline="0"
								axLabel="Download Device Config"
								redirectId="ConfigHelperLabel">
							<CocoaAttributes
								backgroundOff="flexview-ConfigHelperIcon"
							/>
						</ImageButton>
						<TextField id="ConfigHelperLabel"
								label="Download Device Config"
								url="dummy">
							<Attributes textColor="2589fb" />
						</TextField>
					</RowContainer>
				</ColumnContainer>
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="vpnGatewayHidingContainer" cocoaAttributes="stripe" equalSpacing="1">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="VPN Gateway" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
			</ColumnContainer>

			<ColumnContainer id="vpnGatewayURLHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Gateway URL" columnId="Label"/>
				<ColumnContainer columnId="Content">
					<TextView label="URL" id="vpnGatewayURL" fieldEditor="1" viewModeGray="1" />
				</ColumnContainer>
			</ColumnContainer>

			<ColumnContainer id="vpnGatewayAddressHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Gateway Address" columnId="Label"/>
				<ColumnContainer columnId="Content" columns="vpnGatewayAddressColumn,vpnGatewayAddressHelpColumn">
					<TextView label="Name or IP Address" id="vpnGatewayAddress" columnId="vpnGatewayAddressColumn" fieldEditor="1" viewModeGray="1" />
					<ImageButton id="vpnGatewayAddressHelp" columnId="vpnGatewayAddressHelpColumn" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>

			<ColumnContainer id="vpnGatewayPortHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Gateway Port" columnId="Label"/>
				<ColumnContainer columnId="Content" columns="vpnGatewayAddressColumn,vpnGatewayAddressHelpColumn">
					<TextView label="Port Number" id="vpnGatewayPort" columnId="vpnGatewayAddressColumn" fieldEditor="1" viewModeGray="1" />
				</ColumnContainer>
			</ColumnContainer>

		</RowContainer>

		<RowContainer id="networkStripe" cocoaAttributes="stripe" equalSpacing="1">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Network Configuration" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
				<RowContainer id="automaticConfigurationSettingHidingContainer" columnId="Content">
					<ColumnContainer columns="PopupNetConf,EditNetConf">

						<PopUpButton id="automaticConfigurationSetting" columnId="PopupNetConf">
							<label tag="none">AutoConf.None</label>

							<label tag="ovpn-">-</label>
							<label tag="ovpn_header">AutoConf.Header.OpenVPN</label>
							<label tag="OVPN_PushPull">AutoConf.PushPull</label>

							<label tag="ppp-">-</label>
							<label tag="ppp_header">AutoConf.Header.PPP</label>
							<label tag="PPP">AutoConf.PPP</label>

							<label tag="ikev1-">-</label>
							<label tag="ikev1_header">AutoConf.Header.IKEv1</label>
							<label tag="IKE_MCFG">AutoConf.IKE_MCFG</label>
							<label tag="IKE_MCFG_A">AutoConf.IKE_MCFG_A</label>
							<label tag="IKE_MCFG_P">AutoConfi.IKE_MCFG_P</label>

							<label tag="sonicwall-">-</label>
							<label tag="sonicwall_header">AutoConf.Header.SonicWALL</label>
							<label tag="SonicWALL_DHCP">AutoConf.SonicWALL_DHCP</label>
							<label tag="SonicWALL_SCP">AutoConf.SonicWALL_SCP</label>

							<label tag="cisco-">-</label>
							<label tag="cisco_header">AutoConf.Header.Cisco</label>
							<label tag="Cisco_EasyVPN">AutoConf.Cisco_EasyVPN</label>
							<label tag="Cisco_EasyVPN_A">AutoConf.Cisco_EasyVPN_A</label>
							<label tag="Cisco_EasyVPN_P">AutoConf.Cisco_EasyVPN_P</label>

							<label tag="ikev2-">-</label>
							<label tag="ikev2_header">AutoConf.Header.IKEv2</label>
							<label tag="IKEv2_CP">AutoConf.IKEv2_CP</label>

							<label tag="anyconnect-">-</label>
							<label tag="anyconnect_header">AutoConf.Header.IKEv2</label>
							<label tag="AnyConnect">AutoConf.AnyConnect</label>
						</PopUpButton>

						<ImageButton id="automaticConfigurationSettingHelp" columnId="EditNetConf" dontReplicate="1" axLabel="Help">
							<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
						</ImageButton>
					</ColumnContainer>
				</RowContainer>
			</ColumnContainer>


			<ColumnContainer id="protocolHidingContainer"
					columns="Replicator,Label,Space,Content">
				<TextField label="Protocol" columnId="Label" />
				<TextField id="protocol" columnId="Content" />
			</ColumnContainer>


			<ColumnContainer id="domainHidingContainer"
					columns="Replicator,Label,Space,Content">
				<TextField label="Domain" columnId="Label" />
				<ColumnContainer columnId="Content"
						columns="DomainEdit,DomainHelp">
					<TextView label="Domain" id="domain"
						columnId="DomainEdit"
						fieldEditor="1" viewModeGray="1" />
					<ImageButton id="domainHelp" columnId="DomainHelp"
							dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help"
							backgroundOffRollover="flexview-help-rollover"
							backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>


			<ColumnContainer id="topologyHidingContainer"
					columns="Replicator,Label,Space,Content">
				<TextField label="Topology" columnId="Label"/>
				<ColumnContainer columns="PopupNetConf,EditNetConf" columnId="Content">
					<PopUpButton id="topology" tagValue="host2host" columnId="PopupNetConf">
						<label tag="host2host">Host to Host</label>
						<label tag="host2hostTransport">Host to Host (Transport)</label>
						<label tag="host2network">Host to Network</label>
						<label tag="host2everywhere">Host to Everywhere</label>
						<label tag="network2network">Network to Network</label>
					</PopUpButton>
					<ImageButton id="topologyHelp" columnId="EditNetConf" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="localNetworksReplicationContainer" columns="Replicator,Label,Space,Content" replicateMax="-1">
				<TextField id="localNetworksLabel" label="Local Networks" columnId="Label" dontReplicate="1" />
				<ColumnContainer columnId="Content" columns="LocalNetworksField, LocalNetworksFieldHelp">
					<TextView label="IP Address" id="localNetworks" columnId="LocalNetworksField" fieldEditor="1" viewModeGray="1" />
					<ImageButton id="localNetworksHelp" columnId="LocalNetworksFieldHelp" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>

			<RowContainer id="remoteNetworksHidingContainer">
				<ColumnContainer id="remoteNetworksReplicationContainer" columns="Replicator,Label,Space,Content" replicateMax="-1">
					<TextField id="remoteNetworksLabel" label="Remote Networks" columnId="Label" dontReplicate="1" />
					<RowContainer columnId="Content">
						<ColumnContainer columnId="Content" columns="LocalNetworksField, LocalNetworksFieldHelp">
							<TextView id="remoteNetworks" label="IP Address" columnId="LocalNetworksField" fieldEditor="1" viewModeGray="1" />
						<ImageButton id="remoteNetworksHelp" columnId="LocalNetworksFieldHelp" dontReplicate="1" axLabel="Help">
							<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
						</ImageButton>
						</ColumnContainer>
					</RowContainer>
				</ColumnContainer>
			</RowContainer>

			<RowContainer id="h2eHidingContainer">
				<ColumnContainer id="remoteNetworksAllTrafficVPN" columns="Replicator,Label,Space,Content">
					<TextField label="Remote Networks" columnId="Label"/>
					<RowContainer columnId="Content">
						<TextField label="All traffic runs across the VPN" viewModeGray="1" />
					</RowContainer>
				</ColumnContainer>
			</RowContainer>
		</RowContainer>
		
		<RowContainer id="authenticationStripe" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">

				<TextField label="Authentication" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>

				<ColumnContainer id="authenticationHidingContainer" columnId="Content" columns="PopupAuth,EditAuth">
					<PopUpButton id="authentication" columnId="PopupAuth">
						<label tag="None">No Authentication</label>
						<label tag="Password">Password (Pre-shared Key)</label>
						<label tag="TLS">TLS</label>
						<label tag="TLS+Auth">TLS + Auth</label>
						<label tag="TLS+Crypt">TLS + Crypt</label>
						<label tag="Keyfile">Static Keyfile</label>
						<label tag="MultiKey">Protocol Specific Keys</label>
						<label tag="Certificates">Certificates</label>
						<label tag="ServerCert">Server Certificate</label>
						<label tag="ServerPass">Server Password</label>
					</PopUpButton>

					<ColumnContainer columnId="EditAuth">
						<RowContainer>
							<ColumnContainer id="editAuthContainer">
								<ImageButton id="editAuth" axLabel="Edit ...">
									<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
								</ImageButton>
								<TextField id="editAuthLabel" redirectId="editAuth" label="Edit ..." url="dummy">
									<Attributes textColor="2589fb"/>
								</TextField>
							</ColumnContainer>

							<ColumnContainer>
								<CocoaAttributes padding="0,6,0,0" />
								<ImageButton />
							</ColumnContainer>

							<ColumnContainer id="editAuthContainer2">
								<ImageButton id="editAuth2" axLabel="Edit ...">
									<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
								</ImageButton>
								<TextField id="editAuthLabel2" redirectId="editAuth2" label="Edit ..." url="dummy">
									<Attributes textColor="2589fb"/>
								</TextField>
							</ColumnContainer>

							<ColumnContainer>
								<CocoaAttributes padding="0,0,0,12" />
								<ImageButton />
							</ColumnContainer>
						</RowContainer>
					</ColumnContainer>

				</ColumnContainer>
			</ColumnContainer>

			<ColumnContainer id="userAuthenticationHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="User" columnId="Label" />
				<ColumnContainer columnId="Content" columns="PopupAuth,EditAuth">
					<PopUpButton id="userAuthentication" columnId="PopupAuth">
						<label tag="None">No User Authentication</label>
						<label tag="Password">Username + Password</label>
						<label tag="EAP-Password">EAP with Username + Password</label>
						<label tag="EAP-TLS">EAP-TLS</label>
						<label tag="MultiKey">Protocol Specific Keys</label>
					</PopUpButton>
					<ColumnContainer id="editUserAuthContainer" columnId="EditAuth">
						<ImageButton id="editUserAuth" axLabel="Edit ...">
							<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
						</ImageButton>
						<TextField id="editUserAuthLabel" redirectId="editUserAuth" label="Edit ..." url="dummy">
							<Attributes textColor="2589fb"/>
						</TextField>
					</ColumnContainer>
				</ColumnContainer>
			</ColumnContainer>

			<ColumnContainer id="alwaysAskFor2FAHidingContainer" columns="Replicator,Label,Space,Content">
				<ColumnContainer columnId="Content" columns="2FAEdit,2FAHelp">
					<CheckBox label="Always prompt for 2FA"
						id="alwaysAskFor2FA" columnId="2FAEdit"
					/>
					<ImageButton id="alwaysAskFor2FAHelp" dontReplicate="1"
						columnId="2FAHelp" axLabel="Help"
					>
						<CocoaAttributes backgroundOff="flexview-help"
							backgroundOffRollover="flexview-help-rollover"
							backgroundOffClicked="flexview-help-clicked"
						/>
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>

		</RowContainer>


		<RowContainer id="authenticationStripeLegacy" cocoaAttributes="stripe" equalSpacing="1">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Authentication" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
				<RowContainer id="phase1AuthenticationTypeHidingContainer" columnId="Content">
					<ColumnContainer columns="PopupAuthLegacy,EditAuthLegacy">
						<PopUpButton id="phase1AuthenticationType" columnId="PopupAuthLegacy">
							<label tag="preSharedKey">Pre-shared key</label>
							<label tag="certificates">Certificates</label>
							<label tag="hybrid">Hybrid Mode</label>
						</PopUpButton>
						<ColumnContainer columnId="EditAuthLegacy" id="editPreSharedKeyOrCertificate">
							<ColumnContainer id="editPreSharedKeyContainer">
								<ImageButton id="editPreSharedKey" axLabel="Edit Pre-Shared Key">
									<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
								</ImageButton>
								<TextField id="editPreSharedKeyLabel" redirectId="editPreSharedKey" url="dummy">
									<Attributes textColor="2589fb"/>
								</TextField>
							</ColumnContainer>
							<ColumnContainer id="editCertificatesContainer">
								<ImageButton id="editCertificates" axLabel="Edit Certificates">
									<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
								</ImageButton>
								<TextField id="editCertificatesLabel" redirectId="editCertificates" url="dummy">
									<Attributes textColor="2589fb"/>
								</TextField>
							</ColumnContainer>
							<ColumnContainer id="editCertificatesHybridContainer">
								<ImageButton id="editCertificatesHybrid" axLabel="Edit Certificate">
									<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
								</ImageButton>
								<TextField id="editCertificatesHybridLabel" redirectId="editCertificatesHybrid" url="dummy">
									<Attributes textColor="2589fb"/>
								</TextField>
							</ColumnContainer>
						</ColumnContainer>
					</ColumnContainer>
				</RowContainer>
			</ColumnContainer>

			<ColumnContainer id="xauthSettingHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField id="xauthLabel" label="Extended Authentication (XAUTH)" columnId="Label"/>
				<ColumnContainer columnId="Content" id="xauthSettingContainer" columns="PopupAuthLegacy,EditAuthLegacy">
					<PopUpButton id="xauthSetting" columnId="PopupAuthLegacy">
						<label tag="no_xauth">Off</label>
						<label tag="when_requested">when requested</label>
						<label tag="always">always</label>
					</PopUpButton>
					<ColumnContainer id="xauthEdit" columnId="EditAuthLegacy">
						<ImageButton id="editXAUTHValues" axLabel="Edit XAUTH">
							<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
						</ImageButton>
						<TextField id="editXAUTHLabel" redirectId="editXAUTHValues" label="Edit username and password" url="dummy">
							<Attributes textColor="2589fb"/>
						</TextField>
					</ColumnContainer>
				</ColumnContainer>
			</ColumnContainer>
		</RowContainer>


		<RowContainer id="identifiersStripe" cocoaAttributes="stripe" equalSpacing="1">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Identifiers" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
			</ColumnContainer>
			<ColumnContainer id="phase1LocalIdentifierHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Local" columnId="Label"/>
				<ColumnContainer id="phase1LocalIdentifierOuterContainer" columns="identifiersLabel,identifiersPopup,SmallSpace,identifiersText,identifiersHelp" columnId="Content">
					<PopUpButton id="phase1LocalIdentifierType" columnId="identifiersPopup">
						<label tag="localipaddr">Local Endpoint IP Address</label>
						<label tag="localcert">Own Certificate</label>
						<label tag="sep">-</label>
						<label tag="fqdn">FQDN</label>
						<label tag="ufqdn">Email</label>
						<label tag="ipaddr">IP Address</label>
						<label tag="keyid">Key ID</label>
						<label tag="asn1dn">ASN.1 DN</label>
					</PopUpButton>
					<TextView label="Local Identifier" id="phase1LocalIdentifier" fieldEditor="1" columnId="identifiersText" viewModeGray="1" />
					<ImageButton id="phase1LocalIdentifierHelp" columnId="identifiersHelp" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
			<ColumnContainer id="phase1RemoteIdentifierHidingContainer" columns="Replicator,Label,Space,Content">
				<TextField label="Remote" columnId="Label"/>
				<ColumnContainer id="phase1RemoteIdentifierOuterContainer" columns="identifiersLabel,identifiersPopup,SmallSpace,identifiersText2,identifiersHelp2" columnId="Content">
					<PopUpButton id="phase1RemoteIdentifierType" columnId="identifiersPopup">
						<label tag="dont_verify">Don't verify remote identifier</label>
						<label tag="sep1">-</label>
						<label tag="gatewayaddr">Gateway Address Identifier</label>
						<label tag="remoteipaddr">Remote Endpoint IP Address</label>
						<label tag="remotecert">Remote Certificate</label>
						<label tag="sep2">-</label>
						<label tag="fqdn">FQDN</label>
						<label tag="ufqdn">Email</label>
						<label tag="ipaddr">IP Address</label>
						<label tag="keyid">Key ID</label>
						<label tag="asn1dn">ASN.1 DN</label>
					</PopUpButton>
					<TextView label="Remote Identifier" id="phase1RemoteIdentifier" fieldEditor="1" columnId="identifiersText2" viewModeGray="1" />
					<ImageButton id="phase1RemoteIdentifierHelp" columnId="identifiersHelp2" dontReplicate="1" axLabel="Help">
						<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
					</ImageButton>
				</ColumnContainer>
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="dnsInUseHidingContainer" cocoaAttributes="lastContentStripe" equalSpacing="1">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="DNS" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
				<CheckBox label="Use Remote DNS Server" id="dnsInUse" columnId="Content" />
			</ColumnContainer>

			<RowContainer id="dnsSubstripe1">

				<RowContainer id="dnsSubstripe2">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<CheckBox label="Assign DNS Settings from VPN Gateway" id="dnsAssignFromGateway" columnId="Content" />
					</ColumnContainer>
				</RowContainer>

				<RowContainer id="dnsSubstripe3">
					<ColumnContainer columns="Replicator,Label,Space,Content" replicateMax="10">
						<TextField label="DNS Servers" columnId="Label" dontReplicate="1" />
						<ColumnContainer columnId="Content" columns="dnsFieldColumn,dnsHelpColumn">
							<TextView  label="IP Address" id="dnsServers" columnId="dnsFieldColumn" fieldEditor="1" viewModeGray="1" />
							<ImageButton id="dnsServersHelp" columnId="dnsHelpColumn" dontReplicate="1" axLabel="Help">
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</ColumnContainer>
					<ColumnContainer columns="Replicator,Label,Space,Content" replicateMax="10">
						<TextField label="Search Domains" columnId="Label" dontReplicate="1" />
						<ColumnContainer columnId="Content" columns="dnsFieldColumn,dnsHelpColumn">
							<TextView label="DNSSearchDomain" id="dnsSearchDomains" columnId="dnsFieldColumn" fieldEditor="1" viewModeGray="1" />
							<ImageButton id="dnsSearchDomainsHelp" columnId="dnsHelpColumn" dontReplicate="1" axLabel="Help">
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</ColumnContainer>
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<TextField label="Use DNS Server for" columnId="Label" />
						<PopUpButton id="dnsMode_GuiHelper1" columnId="Content">
							<label tag="splitDNS">Specified Domains (Split DNS)</label>
							<label tag="globalDNS">All Domains (Global DNS)</label>
						</PopUpButton>
					</ColumnContainer>
				</RowContainer>

				<RowContainer id="dnsSubstripe4">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<TextField label="Use DNS Server for" columnId="Label" />
						<PopUpButton id="dnsMode_GuiHelper2" columnId="Content">
							<label tag="auto">Search Domains, if available</label>
							<label tag="globalDNS">Always use Global DNS</label>
						</PopUpButton>
					</ColumnContainer>
				</RowContainer>
				<RowContainer id="dnsSubstripe5">
					<ColumnContainer columns="Replicator,Label,Space,Content">
						<ColumnContainer id="dnsReverseLookupHidingContainer" columnId="Content" columns="dnsReverseLookupFieldColumn, dnsReverseLookupHelpColumn">
							<CheckBox label="Use for reverse lookup of IP addresses in remote networks" id="dnsReverseLookup" columnId="dnsReverseLookupFieldColumn" />
							<ImageButton id="dnsReverseLookupHelp" columnId="dnsReverseLookupHelpColumn" dontReplicate="1" axLabel="Help">
								<CocoaAttributes backgroundOff="flexview-help" backgroundOffRollover="flexview-help-rollover" backgroundOffClicked="flexview-help-clicked" />
							</ImageButton>
						</ColumnContainer>
					</ColumnContainer>
				</RowContainer>

			</RowContainer>
			
		</RowContainer>

		<RowContainer id="fillEmptySpace" cocoaAttributes="lastStripe">
			<ColumnContainer columns="Label" hidden="1">
				<TextField label="The Longest Settings Label" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
			</ColumnContainer>
		</RowContainer>

	</RootContainer>

</FlexViewDescription>
